Subject: bug#54536: 29.0.50; Improve ERC's handling of multiline prompt input

From: "J.P." <[email-masked]>
Date: Thu, 24 Mar 2022 12:50:57 -0700

Lars Ingebrigtsen <[email-masked]> writes:

> "J.P." <[email-masked]> writes:
>
>> 1. What should happen when a user submits multiline input containing
>>    empty lines? [...] This patch says [...]
>
> Makes sense to me.
>
>> 2. Should trailing blank lines be treated differently? [...]
>>
> Dropping trailing blank lines is a good thing, I think.
>
>> 3. When `erc-send-whitespace-lines' is non-nil, should it [...]
>>    This patch says no to the first and yes to the second.
>
> Sounds good.

Appreciate the feedback!

I'd like to get #48598 ("buffer-naming collisions involving bouncers in
ERC") up to snuff relatively soon. Would it make sense to petition
emacs-devel for eyeballs at some point? Also, is there any way to try
out some patches on EMBA CI? I have a feeling some of my tests that work
locally and on GitLab.com's GCP runners may have to be tuned a bit for
EMBA. (Or would these questions be better put to the build-automation
folks?) Thanks.